# Class CIM_FileSystemSettingData
extends CIM_ScopedSettingData

This class allows a client to specify the desired persistence of a FileSystem. This information is tied to the FileSystem using the ElementSettingData association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_ScopedSettingData
|
+--CIM_FileSystemSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This class allows a client to specify the desired persistence of a FileSystem. This information is tied to the FileSystem using the ElementSettingData association.
UMLPackagePath | string | CIM::System::FileElements
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherPersistenceType | string |
Description | string | A string describing the persistence characteristics when PersistenceType is "Other".
ModelCorrespondence | string | CIM_FileSystemSettingData.PersistenceType, CIM_FileSystem.OtherPersistenceType
Write | boolean | true
PersistenceType | uint16 |

Description

string

An enumerated value representing the intended persistence characteristics of the FileSystem. A value of "Persistent" indicates that the FileSystem should be persistent, should be preserved through an orderly shutdown and should be protected. A value of "Temporary" indicates that the FileSystem should be non-persistent, should not be protected and may not survive a shutdown. A value of "External" indicates that the FileSystem should be controlled outside of the operating environment and may need to be protected by specialized means. A value of "Other" is provided to allow for additional persistence types, to be described in the OtherPersistenceType attribute, and is expected to be rarely, if ever, used.

ModelCorrespondence | string | CIM_FileSystemSettingData.OtherPersistenceType, CIM_FileSystem.PersistenceType
ValueMap | string | 1, 2, 3, 4
Values | string | Other, Persistent, Temporary, External
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods